summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dosbin
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/dosbin')
-rwxr-xr-xbin/ebuild-helpers/dosbin7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/dosbin b/bin/ebuild-helpers/dosbin
index edc458465..361ca83ca 100755
--- a/bin/ebuild-helpers/dosbin
+++ b/bin/ebuild-helpers/dosbin
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
@@ -9,8 +9,9 @@ if [[ $# -lt 1 ]] ; then
exit 1
fi
-[[ " ${FEATURES} " == *" force-prefix "* ]] || \
- case "$EAPI" in 0|1|2) ED=${D} ;; esac
+if ! ___eapi_has_prefix_variables; then
+ ED=${D}
+fi
if [[ ! -d ${ED}${DESTTREE}/sbin ]] ; then
install -d "${ED}${DESTTREE}/sbin" || { __helpers_die "${0##*/}: failed to install ${ED}${DESTTREE}/sbin"; exit 2; }